Loading...
Searching...
No Matches
scal: Scale vector
Dense LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(x = \alpha x\) More...

## Functions

void | magma_cscal (magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a constant; \( x = \alpha x \).
void | magma_csscal (magma_int_t n, float alpha, magmaFloatComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a real constant; \( x = \alpha x \).
void | magma_dscal (magma_int_t n, double alpha, magmaDouble_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a constant; \( x = \alpha x \).
void | magma_sscal (magma_int_t n, float alpha, magmaFloat_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a constant; \( x = \alpha x \).
void | magma_zscal (magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a constant; \( x = \alpha x \).
void | magma_zdscal (magma_int_t n, double alpha, magmaDoubleComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Scales a vector by a real constant; \( x = \alpha x \).

## Detailed Description

\(x = \alpha x\)

## Function Documentation

## magma_cscal()

void magma_cscal | ( | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in,out] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_csscal()

void magma_csscal | ( | magma_int_t | n,
|  | float | alpha,
|  | magmaFloatComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a real constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \) (real)
  [in,out] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dscal()

void magma_dscal | ( | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in,out] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sscal()

void magma_sscal | ( | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in,out] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zscal()

void magma_zscal | ( | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in,out] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zdscal()

void magma_zdscal | ( | magma_int_t | n,
|  | double | alpha,
|  | magmaDoubleComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Scales a vector by a real constant; \( x = \alpha x \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | alpha | Scalar \( \alpha \) (real)
  [in,out] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.